package com.ai.da.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @Author: SHAHAIBO
 * @Date: 2023/08/01 17:21
 * @Description: 服装性别分类
 */
public enum MalePosition implements IEnumDisplay {

    TOPS("Tops"),
    BOTTOMS("Bottoms"),
    OUTWEAR("Outwear"),
    OTHERS("Others");

    private String value;

    MalePosition(String value) {
        this.value = value;
    }

    @Override
    @JsonValue
    public String getValue() {
        return this.value;
    }

    public static MalePosition getPosition(String value) {
        for (MalePosition position : values()) {
            if (position.value.equalsIgnoreCase(value)) {
                return position;
            }
        }
        throw new IllegalArgumentException("No matching constant for [" + value + "]");
    }
}
